Bug 1022220 - python-ordereddict: package is obsolete [NEEDINFO]
python-ordereddict: package is obsolete
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-ordereddict (Show other bugs)
19
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: James Ni
Fedora Extras Quality Assurance
: Reopened
Depends On: 1022222 1036831 1038330 1038331
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 14:14 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2014-06-01 10:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: ino-0.3.5-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-01 10:30:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: needinfo? (kent.neo)
i: needinfo? (kent.neo)


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-22 14:14:58 EDT
Description of problem:
OrderedDict is a backport of Python 2.7 class to Python < 2.6. Since Fedora is now at Python 2.7, there's no need for this package.

python-fedmsg-meta-fedora-infrastructure seem to be the only user.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-10-26 19:28:02 EDT
With python-fedmsg-meta-fedora-infrastructure-0.2.3-4.fc20 in testing, it would be nice retire this package before F20 beta (https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life).
Comment 2 Michael Schwendt 2013-12-04 17:14:59 EST
$ repoquery --whatrequires python-ordereddict
hg-git-0:0.4.0-3.fc20.noarch
hg-git-0:0.4.0-4.fc20.noarch
ino-0:0.3.5-5.fc20.noarch

?
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-04 17:23:05 EST
hg-git:

 %changelog
* Fri Nov 08 2013 Christopher Meng <rpm@cicku.me> - 0.4.0-3
- Add missing ordereddict requires.

So this was added after I filed my bug.

ino: I don't know why repoquery didn't find this one.

But anyway, it's just a matter of dropping one word from the spec...
Comment 4 Christopher Meng 2013-12-05 01:16:44 EST
My bad, hg-git only needs this on epel6.

Already fixed now.
Comment 5 Christopher Meng 2013-12-28 01:05:14 EST
James, what about your opinion?
Comment 6 Fedora Update System 2014-01-03 05:35:05 EST
ino-0.3.5-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ino-0.3.5-6.fc20
Comment 7 Fedora Update System 2014-01-03 05:38:27 EST
ino-0.3.5-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ino-0.3.5-6.fc19
Comment 8 Fedora Update System 2014-01-03 05:39:53 EST
ino-0.3.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-6.fc18
Comment 9 Zbigniew Jędrzejewski-Szmek 2014-01-03 09:11:00 EST
We're again in the state where python-ordereddict is not used by anything in the archive.
Comment 10 Michael Schwendt 2014-01-03 12:10:38 EST
Still not true:

  # repoquery --whatrequires python-ordereddict
  hg-git-0:0.4.0-3.fc20.noarch
  hg-git-0:0.4.0-4.fc20.noarch
  ino-0:0.3.5-5.fc20.noarch
  python-eyed3-0:0.7.4-1.fc20.noarch

hg-git still depends on it, and python-eyed3 has added it as a dependency on 2013-12-28 *without* mentioning that in the %changelog.

# yum list hg-git python-eyed3
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Available Packages
hg-git.noarch                       0.4.0-4.fc20                 updates        
python-eyed3.noarch                 0.7.4-1.fc20                 updates-testing
Comment 11 Christopher Meng 2014-01-03 12:19:48 EST
(In reply to Michael Schwendt from comment #10)
> Still not true:
> 
>   # repoquery --whatrequires python-ordereddict
>   hg-git-0:0.4.0-3.fc20.noarch
>   hg-git-0:0.4.0-4.fc20.noarch
>   ino-0:0.3.5-5.fc20.noarch
>   python-eyed3-0:0.7.4-1.fc20.noarch
> 
> hg-git still depends on it, and python-eyed3 has added it as a dependency on
> 2013-12-28 *without* mentioning that in the %changelog.
> 
> # yum list hg-git python-eyed3
> Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
> Available Packages
> hg-git.noarch                       0.4.0-4.fc20                 updates    
> 
> python-eyed3.noarch                 0.7.4-1.fc20                
> updates-testing

They are all my packages, I added conditional lines.
Comment 12 Zbigniew Jędrzejewski-Szmek 2014-01-03 12:30:24 EST
(In reply to Christopher Meng from comment #11)
> (In reply to Michael Schwendt from comment #10)
> > Still not true:
> > 
> >   # repoquery --whatrequires python-ordereddict
> >   hg-git-0:0.4.0-3.fc20.noarch
> >   hg-git-0:0.4.0-4.fc20.noarch
> >   ino-0:0.3.5-5.fc20.noarch
ino-0:0.3.5-6 is in updates.

> >   python-eyed3-0:0.7.4-1.fc20.noarch
> They are all my packages, I added conditional lines.
I think the conditional is wrong:

'%if 0%{?rhel} < 7' is true for all Fedora versions, which don't have %{rhel} macro.
Comment 13 Michael Schwendt 2014-01-03 12:35:04 EST
> ino-0:0.3.5-6 is in updates.

Not yet. It has been marked stable prior to letting it enter updates-testing.
Comment 14 Michael Schwendt 2014-01-03 14:25:50 EST
> I think the conditional is wrong:

Yes. They ought to be changed to:

  %if 0%{?rhel} && 0%{?rhel} < 7

I've thought this has been in the guidelines already for a long time, but the examples section doesn't cover the '<' case.

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Using_the_.25.7B.3Fdist.7D_Tag
https://fedoraproject.org/wiki/Packaging:DistTag
Comment 15 Fedora Update System 2014-01-03 18:24:04 EST
ino-0.3.5-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2014-01-03 18:26:20 EST
ino-0.3.5-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-01-03 18:26:43 EST
ino-0.3.5-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-03-28 00:44:57 EDT
hg-git-0.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hg-git-0.5.0-1.el6
Comment 19 Fedora Update System 2014-03-28 00:45:07 EDT
hg-git-0.5.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hg-git-0.5.0-1.fc20
Comment 20 Fedora Update System 2014-03-28 01:17:16 EDT
python-eyed3-0.7.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-eyed3-0.7.4-2.fc20
Comment 21 Christopher Meng 2014-03-28 01:25:30 EDT
James, are you still alive in Fedora Project?

If not we may need to open rel-eng ticket to retire this package.
Comment 22 Zbigniew Jędrzejewski-Szmek 2014-04-08 11:18:45 EDT
% repoquery --enablerepo=rawhide --whatrequires python-ordereddict
→ nil

https://fedorahosted.org/rel-eng/ticket/5885
Comment 23 Fedora Update System 2014-04-08 21:03:05 EDT
hg-git-0.5.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2014-04-15 11:48:22 EDT
python-eyed3-0.7.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-04-16 12:27:24 EDT
hg-git-0.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Christopher Meng 2014-04-26 22:45:30 EDT
Zbigniew, I hear no news here from eithor rel-eng or James himself so far.
Comment 27 Michael Schwendt 2014-05-02 19:12:38 EDT
Modern fedpkg tool makes it easy for the owner to retire this and block it also in koji. Even provenpackagers could not block it in koji without help of releng.

Trying out a weird idea: http://pkgs.fedoraproject.org/cgit/python-ordereddict.git/commit/?id=39c35243f5936be9627ac42619e933b1c15c80a6

Package owner (James Ni), please retire this package properly. See comment 1 for the instructions in the Wiki.
Comment 28 Michael Schwendt 2014-05-04 06:02:47 EDT
> People keep adding dependencies on it by mistake. 

At least in Rawhide, that would create a broken deps report since yesterday (because the idea from comment 27 has worked):

  # repoquery --whatprovides python-ordereddict --disablerepo='*' --enablerepo=rawhide 
 #

;-)

  # repoquery --whatobsoletes python-ordereddict --disablerepo='*' --enablerepo=rawhide 
  python-0:2.7.6-6.fc21.i686
  python-0:2.7.6-6.fc21.x86_64
Comment 29 Christopher Meng 2014-05-04 11:16:24 EDT
James Ni no longer works for Red Hat China. Thus rel-eng team need to do this manually I think.
Comment 30 Till Maas 2014-06-01 10:30:58 EDT
It is now retired in F21/Rawhide.

Note You need to log in before you can comment on or make changes to this bug.